Jump to content
LokiSmith

PayPal 5.018

Recommended Posts

I've discovered there is an update to 5.018 and have tried many times but nothing. The screenshot shows 5.010. Even the 5.018 goes back to Mar 12, 2017. I am so frustrated with something that should be simple. I have no clue where to find "Live Client ID" and "Live Secret" because the terms are not matching the PayPal terms.

Screenshot from 2021-03-02 08-33-55.png

Share this post


Link to post
Share on other sites

You should see a button on the credentials page, or any of the paypal pages, that says View Update. Click on it and it should change to Apply Update. The update to 5.0.8, which is the last version, will be installed.

Share this post


Link to post
Share on other sites
Posted (edited)

Sorry, no. It does something (Retrieving) then shows "Check for Updates". I've set all files and folders to read/write. I really need to get this thing working so, if someone will help all the way through to that point ??? I'd gladly take this to the Signal app.

Edited by LokiSmith
type-o

Share this post


Link to post
Share on other sites

I've installed the app many times, as have others here, and I've never seen a case where the update would not work. If you have not altered the 5.010 files then my guess is that the server is blocking the download. You can look in the error_log file in admin, if it exists. Or ask your host to check the log for failed connections or downloads dealing with paypal.

Share this post


Link to post
Share on other sites

Actaully, I am the stores IT. I've bumped up the Apache error log to debug. Still, nothing saying what the problem is. After 4 months, of trying to get my clients server working, maybe I should just go to the Phoenix version.

Share this post


Link to post
Share on other sites

Are you sure there is an update after v5.018 as my phoenix store is showing as using that version. I do know in one of the Phoenix version updates some files were updated which can be uploaded over the original files, but I am sure there was no full update available.


REMEMBER BACKUP, BACKUP AND BACKUP

Get the latest Phoenix version here

It's easy to say to yes every question.

Share this post


Link to post
Share on other sites

I did some digging into the program and that is where I found the version is 5.018 dated Mar 12, 2017.

I've also found in the logs something interesting.

[05/Mar/2021:08:48:35 -0800] "GET /admin/HTTP_CATALOG_SERVER/ext/flot/jquery.flot.time.min.js HTTP/1.1" 404 231 "https://loki-crafts.com/admin/"

My admin config.php seems to have an error?:

  define('HTTP_SERVER', '');
//  define('HTTP_SERVER', 'http://localhost');
  define('HTTPS_SERVER', '');
//  define('HTTPS_SERVER', 'http://localhost');
  define('ENABLE_SSL', true);
  define('HTTP_COOKIE_DOMAIN', '');
  define('HTTPS_COOKIE_DOMAIN', '');
  define('HTTP_COOKIE_PATH', '/admin');
  define('HTTPS_COOKIE_PATH', '/admin');
  define('HTTP_SERVER', '');
//  define('HTTP_SERVER', 'http://localhost');
  define('HTTPS_SERVER', '');
//  define('HTTPS_SERVER', 'http://localhost');
  define('ENABLE_SSL_CATALOG', 'false');
  define('DIR_FS_DOCUMENT_ROOT', '/var/www/html/');
  define('DIR_WS_ADMIN', '/admin/');
  define('DIR_WS_HTTPS_ADMIN', '/admin/');
  define('DIR_FS_ADMIN', '/var/www/html/admin/');
  define('DIR_WS_CATALOG', '/');
  define('DIR_WS_HTTPS_CATALOG', '/');
  define('DIR_FS_CATALOG', '/var/www/html/');
  define('DIR_WS_IMAGES', 'images/');
  define('DIR_WS_ICONS', DIR_WS_IMAGES . 'icons/');
  define('DIR_WS_CATALOG_IMAGES', DIR_WS_CATALOG . 'images/');
  define('DIR_WS_INCLUDES', 'includes/');
  define('DIR_WS_BOXES', DIR_WS_INCLUDES . 'boxes/');
  define('DIR_WS_FUNCTIONS', DIR_WS_INCLUDES . 'functions/');
  define('DIR_WS_CLASSES', DIR_WS_INCLUDES . 'classes/');
  define('DIR_WS_MODULES', DIR_WS_INCLUDES . 'modules/');
  define('DIR_WS_LANGUAGES', DIR_WS_INCLUDES . 'languages/');
  define('DIR_WS_CATALOG_LANGUAGES', DIR_WS_CATALOG . 'includes/languages/');
  define('DIR_FS_CATALOG_LANGUAGES', DIR_FS_CATALOG . 'includes/languages/');
  define('DIR_FS_CATALOG_IMAGES', DIR_FS_CATALOG . 'images/');
  define('DIR_FS_CATALOG_MODULES', DIR_FS_CATALOG . 'includes/modules/');
  define('DIR_FS_BACKUP', DIR_FS_ADMIN . 'backups/');
  define('DIR_FS_DOWNLOAD', DIR_FS_CATALOG . 'download/');
  define('DIR_FS_DOWNLOAD_PUBLIC', DIR_FS_CATALOG . 'pub/');

 

Share this post


Link to post
Share on other sites

I am loosing my mind and trying to get this thing working.

 

I installed a fresh setup, no plugins or anything. The newest version of Phoenix. Yet, still can not get it to connect to PayPal.

 

The app terms:

Live Client ID: ???
Live Secret: ???

PayPal terms:

PayPal account:
Client ID

Secret
 
 
Client ID is the email? Live Secret is the "Secret"??? I am absolutely lost but with Phoenix at least I'm seeing tests getting logged and it keeps saying: "Error: The PayPal balance could not be retrieved. Please try again." and in the log:

Screenshot from 2021-03-07 11-55-14.png

Share this post


Link to post
Share on other sites
On 3/5/2021 at 12:00 PM, LokiSmith said:

[05/Mar/2021:08:48:35 -0800] "GET /admin/HTTP_CATALOG_SERVER/ext/flot/jquery.flot.time.min.js HTTP/1.1" 404 231 "https://loki-crafts.com/admin/"

It means your configure file is missing that definition. You need to add it using this format

define('HTTP_CATALOG_SERVER', 'https://domain name');

 

17 hours ago, LokiSmith said:

I installed a fresh setup, no plugins or anything. The newest version of Phoenix

The image you show is not the latest Phoenix admin, at least in version 1.0.7.15. You should install a stock version and try it.

But I suggest you just install Paypal Standard and enter the main email address. Then try placing an order with that module. It if fails, you have some other problem in the shop. If it works, then you can try one of the other modules.

Share this post


Link to post
Share on other sites
On 3/8/2021 at 6:47 AM, Jack_mcs said:

It means your configure file is missing that definition. You need to add it using this format


define('HTTP_CATALOG_SERVER', 'https://domain name');

 

The image you show is not the latest Phoenix admin, at least in version 1.0.7.15. You should install a stock version and try it.

But I suggest you just install Paypal Standard and enter the main email address. Then try placing an order with that module. It if fails, you have some other problem in the shop. If it works, then you can try one of the other modules.

The version I have is oscom2ce-phoenix-1.0.7.15 and I've gotten the sandbox to get to the login with paypal but not the live version.

Share this post


Link to post
Share on other sites
7 hours ago, LokiSmith said:

I've gotten the sandbox to get to the login with paypal but not the live version.

There's no difference in the code with regards to the live and sandbox versions other than the connection details. So if it works in sandbox but not live, it means the credentials for the live section are not correct. As mentioned, if you try the standard module, all that is needed is your paypal email address. If that doesn't work, then you need to ask paypal to check it. 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×